Reference
Automations
List Automations
Query Parameters
status?|
limit?integer
Default
100Range
value <= 1000offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automations"{
"items": [
{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Automation
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config*
description?|
name*string
Length
1 <= length <= 255orchestratorType?string
Default
"dag"Value in
"local" | "dag"templateId?|
triggerType?string
Default
"manual"Value in
"manual" | "schedule" | "webhook"Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations" \ -H "Content-Type: application/json" \ -d '{ "config": {}, "name": "string" }'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?|
description?|
name?|
orchestratorType?|
status?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Publish Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/publish"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Automation Runs
Path Parameters
automation_id*string
Format
uuidQuery Parameters
status?|
limit?integer
Default
100Range
value <= 1000offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs"{
"items": [
{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Trigger Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
concurrencyKey?|
inputs?
versionId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/trigger" \ -H "Content-Type: application/json" \ -d '{}'{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Unpublish Automation
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/unpublish"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"latestRun": {
"completedAt": "2019-08-24T14:15:22Z",
"id": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"versionNumber": 0
},
"name": "string",
"orchestratorType": "local",
"sourceAgentRunId": "string",
"sourceAgentSpecId": "string",
"sourceType": "manual",
"status": "draft",
"templateId": "string",
"tenantId": "string",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionsSummary": {
"activeCount": 0,
"count": 0,
"hasDraft": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Automation Versions
Path Parameters
automation_id*string
Format
uuidQuery Parameters
status?|
limit?integer
Default
100Range
value <= 1000offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"{
"items": [
{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Automation Version
Path Parameters
automation_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \ -H "Content-Type: application/json" \ -d '{}'{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config*
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "config": {} }'{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Activate Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/activate"{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Deactivate Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/deactivate"{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Publish Automation Version
Path Parameters
automation_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/publish"{
"automationId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"isActive": true,
"publishedAt": "2019-08-24T14:15:22Z",
"runCount": 0,
"status": "draft",
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}